Package org.eclipse.microprofile.lra.tck.participant.api

# Class LRATypeTckInterfaceResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckInterfaceResource

All Implemented Interfaces:
  `LRATypeTckInterface`

@Path("lra-type-tck-interface-resource") public class LRATypeTckInterfaceResource extends ResourceParent implements LRATypeTckInterface

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TCK_LRA_TYPE_INTERFACE_RESOURCE_PATH`

### Fields inherited from interface org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckInterface

`MANDATORY_PATH, MANDATORY_WITH_END_FALSE_PATH, NEVER_PATH, NEVER_WITH_END_FALSE_PATH, NOT_SUPPORTED_PATH, NOT_SUPPORTED_WITH_END_FALSE_PATH, REQUIRED_PATH, REQUIRED_WITH_END_FALSE_PATH, REQUIRES_NEW_PATH, REQUIRES_NEW_WITH_END_FALSE_PATH, SUPPORTS_PATH, SUPPORTS_WITH_END_FALSE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`LRATypeTckInterfaceResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`mandatoryEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`mandatoryLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`neverEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`neverLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`notSupportedEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`notSupportedLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiresNewEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiresNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`supportsEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`supportsLRA(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TCK_LRA_TYPE_INTERFACE_RESOURCE_PATH

public static final String TCK_LRA_TYPE_INTERFACE_RESOURCE_PATH

See Also:
  - Constant Field Values

## Constructor Details

### LRATypeTckInterfaceResource

public LRATypeTckInterfaceResource()

## Method Details

### requiredLRA

public jakarta.ws.rs.core.Response requiredLRA(URI lraId)

Specified by:
  `requiredLRA` in interface `LRATypeTckInterface`

### requiresNewLRA

public jakarta.ws.rs.core.Response requiresNewLRA(URI lraId)

Specified by:
  `requiresNewLRA` in interface `LRATypeTckInterface`

### mandatoryLRA

public jakarta.ws.rs.core.Response mandatoryLRA(URI lraId)

Specified by:
  `mandatoryLRA` in interface `LRATypeTckInterface`

### supportsLRA

public jakarta.ws.rs.core.Response supportsLRA(URI lraId)

Specified by:
  `supportsLRA` in interface `LRATypeTckInterface`

### notSupportedLRA

public jakarta.ws.rs.core.Response notSupportedLRA(URI lraId)

Specified by:
  `notSupportedLRA` in interface `LRATypeTckInterface`

### neverLRA

public jakarta.ws.rs.core.Response neverLRA(URI lraId)

Specified by:
  `neverLRA` in interface `LRATypeTckInterface`

### requiredEndLRA

public jakarta.ws.rs.core.Response requiredEndLRA(URI lraId)

Specified by:
  `requiredEndLRA` in interface `LRATypeTckInterface`

### requiresNewEndLRA

public jakarta.ws.rs.core.Response requiresNewEndLRA(URI lraId)

Specified by:
  `requiresNewEndLRA` in interface `LRATypeTckInterface`

### mandatoryEndLRA

public jakarta.ws.rs.core.Response mandatoryEndLRA(URI lraId)

Specified by:
  `mandatoryEndLRA` in interface `LRATypeTckInterface`

### supportsEndLRA

public jakarta.ws.rs.core.Response supportsEndLRA(URI lraId)

Specified by:
  `supportsEndLRA` in interface `LRATypeTckInterface`

### notSupportedEndLRA

public jakarta.ws.rs.core.Response notSupportedEndLRA(URI lraId)

Specified by:
  `notSupportedEndLRA` in interface `LRATypeTckInterface`

### neverEndLRA

public jakarta.ws.rs.core.Response neverEndLRA(URI lraId)

Specified by:
  `neverEndLRA` in interface `LRATypeTckInterface`